/*
	Copyright (c) 2021 Arsen Musayelyan

	Permission is hereby granted, free of charge, to any person obtaining a copy
	of this software and associated documentation files (the "Software"), to deal
	in the Software without restriction, including without limitation the rights
	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	copies of the Software, and to permit persons to whom the Software is
	furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in all
	copies or substantial portions of the Software.
*/

package scpt

import (
	"errors"
	"fmt"
	"strconv"
)

func toString(args map[string]interface{}) (interface{}, error) {
	val, ok := args[""]
	if !ok {
		return nil, errors.New("no value provided")
	}
	return fmt.Sprint(val), nil
}

func parseNumber(args map[string]interface{}) (interface{}, error) {
	val, ok := args[""].(string)
	if !ok {
		return nil, errors.New("no value provided")
	}
	return strconv.ParseFloat(val, 64)
}

func parseBool(args map[string]interface{}) (interface{}, error) {
	val, ok := args[""].(string)
	if !ok {
		return nil, errors.New("no value provided")
	}
	return strconv.ParseBool(val)
}